<app-loading *ngIf="preloader"></app-loading>
<div class="container" fxLayout="row" fxLayoutAlign="center none">
    <div fxFlex="95%">
        <mat-card>
            <mat-card-header>
                <mat-card-title>Configuración Festivos por País</mat-card-title>
                <mat-card-subtitle>Gestión de Festivos por País</mat-card-subtitle>
            </mat-card-header>
            <mat-card-content>
                <div fxLayout="row wrap" fxFlexAlign="center" class="form-row">
                    <div fxFlex.gt-sm="50" fxFlex="100" class="p-10 form-group col">
                        <button mat-mini-fab color="primary" matTooltip="Crear festivo pais" (click)="openModal();">
                            <mat-icon>add</mat-icon>
                        </button>
                    </div>
                    <div align="end" fxFlex.gt-sm="50" fxFlex="100" class="p-10 form-group col">
                        <mat-form-field dividerColor="primary">
                            <input maxlength="50" matInput placeholder="BUSCAR" [formControl]="this.validateFilters.get('search')"
                                #search (keyup)="filterTable($event)" autocomplete="off">
                            <mat-icon matSuffix>search</mat-icon>
                        </mat-form-field>
                    </div>
                </div>
             
            </mat-card-content>
        </mat-card>
    </div>
</div>
<div class="container" fxLayout="row" fxLayoutAlign="center none">
    <div fxFlex="95%">
        <mat-card>
            <mat-card-content>
                <div class="responsive-table">
                    <mat-table [dataSource]="dataSource">
                        <ng-container matColumnDef="holydayDate">
                            <mat-header-cell *matHeaderCellDef> Día Festivo </mat-header-cell>
                            <mat-cell *matCellDef="let element" data-label="Día Festivo">
                                {{element.k_holyday.dateHolyday | date: 'dd/MM/yyyy' }}
                            </mat-cell>
                        </ng-container>
                        <ng-container matColumnDef="holydayDescription">
                            <mat-header-cell *matHeaderCellDef> Descripción </mat-header-cell>
                            <mat-cell *matCellDef="let element" data-label="Descripción">
                                {{element.k_holyday.descriptionHolyday }}
                            </mat-cell>
                        </ng-container>
                        <ng-container matColumnDef="country">
                            <mat-header-cell *matHeaderCellDef> País </mat-header-cell>
                            <mat-cell *matCellDef="let element" data-label="País">
                                {{element.k_country.countryName}}
                            </mat-cell>
                        </ng-container>
                        <ng-container matColumnDef="status">
                            <mat-header-cell *matHeaderCellDef> Estado </mat-header-cell>
                            <mat-cell *matCellDef="let element" data-label="Estado" [ngClass]="element.state==0 ? 'make-gold' : 'make-green'">
                                {{element.state === 0 ? globalMethods.validateFilterOptions(element.state):globalMethods.validateFilterOptions(element.state)}}
                            </mat-cell>
                        </ng-container>
                        <ng-container matColumnDef="action">
                            <mat-header-cell *matHeaderCellDef class="mat-column-action"> Acciones
                            </mat-header-cell>
                            <mat-cell *matCellDef="let element" data-label="Acciones">
                                <button mat-mini-fab aria-label="Actualizar"
                                    class="circle-buttons mx-auto space-buttom " color="primary"
                                    (click)="openModal(element);">
                                    <mat-icon class="space-buttom" matTooltip="Actualizar"
                                        class="pointer">
                                        edit
                                    </mat-icon>
                                </button>
                            </mat-cell>
                        </ng-container>
                        <mat-header-row *matHeaderRowDef="displayedColumns"></mat-header-row>
                        <mat-row *matRowDef="let row; columns: displayedColumns;"></mat-row>
                    </mat-table>
                    <mat-paginator [pageSizeOptions]="[10, 20, 50, 100]" showFirstLastButtons></mat-paginator>
                    <div *ngIf="dataSource && !dataSource.data.length">No se encontraron registros</div>
                </div>
            </mat-card-content>
        </mat-card>
     </div>
</div>     
